// JavaScript Document
var optionsArray = new Array();
optionsArray[0] = 'Net Wholesale Price';
optionsArray[1] = 'Net Trade Price';
optionsArray[2] = 'Hospital List Price';
optionsArray[3] = 'Net Realized Price';
optionsArray[4] = 'Hospital Net Realized Price';
optionsArray[5] = 'Net Effective Selling Price';
optionsArray[6] = 'International Price Comparison';
optionsArray[7] = 'Parallel Trade';
optionsArray[8] = 'Price Band';
optionsArray[9] = 'Price Ceiling';
optionsArray[10] = 'Price Floor';


var questionsArray = new Array();
questionsArray[0] = 'A law requiring that a price for a certain good is kept below some level';
questionsArray[1] = 'The price manufacturers receive for product sales to a hospital customer.';
questionsArray[2] = 'The price wholesalers charge pharmacies and hospitals.';
questionsArray[3] = 'The price range within which a product is mandated to move.';
questionsArray[4] = 'Comparison of prices between countries.';
questionsArray[5] = 'The weighted average price that reflects all Net Realized Price sales of a product for a given period.';
questionsArray[6] = 'The list price that manufacturers sell directly to hospitals.';
questionsArray[7] = 'The list price that pharmaceutical companies sell to wholesalers or third parties who take legal ownership of the product and resell it to pharmacies or hospitals (commonly known as WAC, Wholesale Acquisition Cost, in the US)';
questionsArray[8] = 'The practice of buying a product in a lower-priced country and reselling it for a profit in a higher-priced country.';
questionsArray[9] = 'The effective price manufacturers such as Lilly receive for product sales to a given customer for an individual transaction.';
questionsArray[10] = 'The "rock-bottom" minimum price at which a manufacturer will sell a product.';


// this is according to the questions means for the first question the correct answer is 1
var correctAnswers = new Array(10,5,2,9,7,6,3,1,8,4,11);
var correctFBImage = "../../images/icon_correct.gif";
var incorrectFBImage = "../../images/icon_incorrect.gif";
var correctFeedback = "Correct! <br /> Click 'Next Definition' to continue.";
var incorrectFeedback = "Incorrect! <br /> Try again.";
var incorrectFeedback1 = "That's incorrect! <br />The correct answer is"

var isDone = false;
var currentPos = 0;
var attempted = 0;
var maxTry = 2; // max try after which the correct answer will be shown
var score = 000;
var increament = 10; // score to increament by

/*------------------------------------------------------*/
/*------------Enable and Disable Buttons---------------*/
var enableButtons = new Array("btn1","btn2","btn3","btn4","btn5","btn6","btn7","btn8","btn9","btn10","btn11");
function disableButton(disableButtonId) {
	enableButtonAll();
	document.getElementById("btn" + disableButtonId).className = "buttonBlueDisable";	
}

function enableButtonAll() {
	var buttonsLength = enableButtons.length;
	for (var j = 1; j <= buttonsLength; j++){
		document.getElementById("btn" + j).className = "buttonBlue";
	}
	
}


function disableButtonAll() {
	var buttonsLength = enableButtons.length;
	for (var j = 1; j <= buttonsLength; j++){
		document.getElementById("btn" + j).className = "buttonBlueAll";
	}
}

function getStringValue(num) {
	var s = num < 10 ? "0" + num : num;
	return s;
}
/*------------------------------------------------------*/
/*------------Enable and Disable Buttons---------------*/


function showOptions() {
	var total = optionsArray.length;
	for (var k = 1; k <= total; k++) {
		var str = optionsArray[k - 1];
		document.getElementById("btn" + k);
		document.getElementById('btn' + k).innerHTML = str;
	}
	document.getElementById('ScoreText').innerHTML = score + "00";
	showNextQuestion();
}

function showNextQuestion() {
	
	if (currentPos == optionsArray.length) {
/********************************************************************/	
/*********************Show score when all are correct***********************/	
/*		document.getElementById("ResultScreen").style.visibility = "visible";
		document.getElementById("endGame").style.visibility = "visible";
		document.getElementById("PigiResult").style.visibility = "visible";
		document.getElementById("EndScoreText").style.visibility = "visible";
		document.getElementById("EndScoreText").innerHTML = score;
		document.getElementById("ResultScreen").innerHTML = "You earned $:" + score;
*/
/********************************************************************/
/********************************************************************/	

		document.getElementById("ResultScreen").style.visibility = "visible";
		document.getElementById("ResultTxtGreen").style.visibility = "visible";
		document.getElementById("ResultTxtRed").style.visibility = "visible";
		document.getElementById("Terms").style.visibility = "hidden";
		
		document.getElementById("endGame").style.visibility = "visible";
		document.getElementById("PigiResult").style.visibility = "visible";
		document.getElementById("EndScoreText").style.visibility = "visible";
		document.getElementById("EndScoreText").innerHTML = score;
		//PigiResult
		document.getElementById("ResultScreen").innerHTML = " ";
		
	} else {
		currentPos++;
		attempted = 0;
		showQuestion();
	}
}

function showQuestion() {
	/*---Calling Function to enable all the Buttons------*/
	enableButtonAll()
	/*---End Calling Function to enable all the Buttons------*/
	isDone = false;
	document.getElementById("feedbackImage").style.visibility = "hidden";
	document.getElementById("feedbackText").style.visibility = "hidden";
	document.getElementById("CorrectAnswer").style.visibility = "hidden";
	document.getElementById('QBtn').style.visibility = "hidden";
	document.getElementById('questionTextGame').innerHTML = questionsArray[currentPos - 1];
}


function checkAnswer(num) {
	if (document.getElementById("btn" + num).className == "buttonBlueDisable" || isDone) {
		return;
	}
	disableButton(num);
	attempted++;
	var corAns = correctAnswers[currentPos - 1];
	if (num == corAns) {
		showCorrectFeedback();
		
	} else {
		if (attempted == 1) {
			showWrongFeedback();
		} else if (attempted == maxTry) {
			showCorrectAnswer();
		}
	}
	
}


function showCorrectFeedback() {
	score += increament;
	// showing image
	document.getElementById("feedbackImage").className = "feedbackGameIconRight";
	document.getElementById("feedbackImage").style.visibility = "visible";
	// showing text
	document.getElementById('feedbackText').innerHTML = correctFeedback;
	document.getElementById('feedbackText').className = "greenText";
	document.getElementById("feedbackText").style.visibility = "visible";
	updateScore();
}
function showWrongFeedback() {
	// showing image
	document.getElementById("feedbackImage").className = "feedbackGameIconWrong"
	document.getElementById("feedbackImage").style.visibility = "visible";
	// showing text
	document.getElementById('feedbackText').innerHTML = incorrectFeedback;
	document.getElementById('feedbackText').className = "redText";
	document.getElementById("feedbackText").style.visibility = "visible";
}

function showCorrectAnswer() {
	// showing image
	document.getElementById("feedbackImage").className = "feedbackGameIconWrong";
	document.getElementById("feedbackImage").style.visibility = "visible";
	// showing text
	document.getElementById('feedbackText').innerHTML = incorrectFeedback1;
	document.getElementById('feedbackText').className = "redText";
	document.getElementById("feedbackText").style.visibility = "visible";
	
	var corAns = correctAnswers[currentPos - 1];
	var ans = optionsArray[corAns - 1];
	document.getElementById('CorrectAnswer').innerHTML = ans;
	document.getElementById("CorrectAnswer").style.visibility = "visible";
	updateScore();
}


function updateScore() {
	isDone = true;
	disableButtonAll();
	document.getElementById('ScoreText').innerHTML = score;
	document.getElementById('QBtn').style.visibility = "visible";
}

//"Next Definition"
function showInstructions() {
	document.getElementById("instructionTxt").style.visibility = "visible";
}

function hideInstructions() {
	document.getElementById("instructionTxt").style.visibility = "hidden";
}

function startGame() {
	document.getElementById("startInstructionIntro").style.visibility = "hidden";
	// check why is it happening
	
	for (var k = 33; k <= 39; k++) {
		document.getElementById("Layer" + k).style.visibility = "hidden";
	}
	
}
